> For the complete documentation index, see [llms.txt](https://docs.aevo.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.aevo.xyz/api-reference/urls/private-api/getstake.md).

# GET /stake

Returns the account's weekly trading volume, multiplier tier, stake history, LP NFT history, and top staker APR.

`GET https://api.aevo.xyz/stake`

> **Authentication required.** Include your `AEVO-KEY` and `AEVO-SECRET` headers. See [Authentication](/api-reference/urls/authentication.md).

## Example Request

```bash
curl --request GET \
     --url https://api.aevo.xyz/stake \
     --header 'accept: application/json' \
     --header 'AEVO-KEY: <your-api-key>' \
     --header 'AEVO-SECRET: <your-api-secret>'
```

## Responses

**`200`** — Weekly volume, multiplier tier, stake history, LP NFT history, and top staker APR.

| Field           | Type           | Required | Description                                                                          |
| --------------- | -------------- | -------- | ------------------------------------------------------------------------------------ |
| `weekly_volume` | string         | Yes      | Weekly trading volume in USD Example: `1234567.89`                                   |
| `multiplier`    | string         | Yes      | Volume multiplier for LP NFT distribution Example: `2`                               |
| `tier`          | string         | Yes      | Volume tier for LP NFT distribution (1-4) Example: `2`                               |
| `week_start`    | string         | Yes      | Start of the week Example: `1680249600000000000`                                     |
| `week_end`      | string         | Yes      | End of the week Example: `1680249600000000000`                                       |
| `stake_history` | array\[object] | No       |                                                                                      |
| `lpnft_history` | array\[object] | No       |                                                                                      |
| `apr`           | string         | Yes      | Annual percentage rate for the top staker based on last week's data Example: `125.5` |
| `total_volume`  | string         | Yes      | Total traded notional volume in USD terms. Example: `1234.56`                        |

**`400`** — Bad request.

| Field   | Type   | Required | Description                                     |
| ------- | ------ | -------- | ----------------------------------------------- |
| `error` | string | Yes      | Error message. Example: `ERR_MALFORMED_REQUEST` |

**`401`** — Unauthorized.

| Field   | Type   | Required | Description                            |
| ------- | ------ | -------- | -------------------------------------- |
| `error` | string | Yes      | Error message. Example: `UNAUTHORIZED` |

**`429`** — Rate limit exceeded.

| Field   | Type   | Required | Description                                   |
| ------- | ------ | -------- | --------------------------------------------- |
| `error` | string | Yes      | Error message. Example: `RATE_LIMIT_EXCEEDED` |

**`500`** — Internal server error.

| Field   | Type   | Required | Description                              |
| ------- | ------ | -------- | ---------------------------------------- |
| `error` | string | Yes      | Error message. Example: `INTERNAL_ERROR` |
